#ifndef T_LIST_H
# define T_LIST_H

# ifdef __cplusplus
  extern "C" {
# endif
# include "standard.h"

# define DL_VORNE 1
# define DL_HINTEN 2

# define DL_CLEAN_UP 1
# define DL_DONT_CLEAN_UP 2

/* globale funktionen */
T_INT d_fuege_in_liste_ein(T_PVOID objekt, T_LISTE **erstes, T_LISTE **letztes, T_INT flag );
T_INT d_entferne_aus_liste(T_PVOID objekt, T_LISTE **erstes, T_LISTE **letztes, T_INT flag );
T_INT d_anzahl_liste( T_LISTE *liste );
T_PVOID *d_liste_to_array( T_LISTE *liste );
T_LISTE *d_get_list_pos(T_PVOID objekt, T_LISTE *erstes);
T_INT d_vergleich(T_PVOID objekt1, T_PVOID objekt2,T_LISTE *erstes);
T_INT d_fuege_in_liste_ein_past_position(T_PVOID welches, T_PVOID wohin, T_LISTE **erstes, T_LISTE **letztes);
T_INT d_vertausche_hoch(T_PVOID objekt, T_LISTE *liste);
T_INT d_vertausche_runter(T_PVOID objekt, T_LISTE *liste);

# ifdef __cplusplus
 }
# endif

#endif

